package de.szut.casino.user.transaction;

import de.szut.casino.deposit.TransactionEntity;
import de.szut.casino.user.transaction.dto.GetTransactionDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class TransactionController {

    @Autowired
    private GetTransactionService transactionService;

    @GetMapping("/user/transactions")
    public ResponseEntity<List<GetTransactionDto>> getUserTransactions(@RequestHeader("Authorization") String authToken, @RequestParam(value = "limit", required = false) Integer limit) {
        List<TransactionEntity> transactionEntities = this.transactionService.getUserTransactions(authToken, limit);

        return ResponseEntity.ok(this.transactionService.mapTransactionsToDtos(transactionEntities));
    }
}

